Consumer Insights (2.0.0)

Download OpenAPI specification:Download

Authentication

Bearer

Authentication JWT token, prefixed by Bearer: Bearer ${JWT}

Security Scheme Type API Key
Header parameter name: Authorization

IdentityInsightsOrchestrator

Consumer Insights

Consumer Insights V2

Consumer Insights Evaluate V2 Request

Authorizations:
Request Body schema: application/json
clientId
required
string (clientId) ^[a-zA-Z0-9]{1,64}$

Kount's unique identifier for a Client

useCase
required
string (useCase)
Enum: "walletinsights" "fraudinsights" "payerinsights" "inputvalidation"

This flag determines the response payload.

deviceIds
Array of strings (deviceIds)

Device identifiers.

phoneNumbers
Array of strings (phoneNumbers)

Phone numbers for a customer's user (consumer).

emailAddresses
Array of strings <email> (emailAddresses)

Email addresses for a consumer.

Array of objects (nameAddresses)

Name and Physical Address combinations for a consumer.

Array of objects (payments)

Payments for a consumer.

lookbackDays
string <uint64> (lookbackDays)

Ignore data older than this many days. Undefined or 0 includes all data.

Responses

Request samples

Content type
application/json
{
  • "clientId": "900900",
  • "useCase": "walletInsights",
  • "deviceIds": [
    ],
  • "phoneNumbers": [
    ],
  • "emailAddresses": [
    ],
  • "nameAddresses": [
    ],
  • "payments": [
    ],
  • "lookbackDays": "string"
}

Response samples

Content type
application/json
{
  • "bestMatchedIdentity": {
    },
  • "inputValidation": {
    }
}